<?php
  
  $wp_customize->add_section('tameer_construction_pro_section_ordering_settings',array(
      'title' => __('Section Ordering','tameer-construction-pro'),
      'description'=> __('Section Ordering.','tameer-construction-pro'),
      'panel' => 'tameer_construction_pro_panel_id',
  ));

  $wp_customize->add_setting( 'tameer_construction_pro_section_ordering_settings_repeater',
      array(
        'default' => '',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_text_field'
      )
  );
  $wp_customize->add_control( new tameer_construction_pro_Repeater_Custom_Control( $wp_customize, 'tameer_construction_pro_section_ordering_settings_repeater',
      array(
        'label' => __( 'Section Reordering','tameer-construction-pro' ),
        'section' => 'tameer_construction_pro_section_ordering_settings',
        'button_labels' => array(
          'add' => __( 'Add Row','tameer-construction-pro' ), 
        )
      )
   ) );
  
  $wp_customize->add_setting('tameer_construction_pro_padding_top_intro_video',array(
     'default' => '',
     'sanitize_callback' => 'sanitize_text_field'
   ));
   $wp_customize->add_control('tameer_construction_pro_padding_top_intro_video',array(
     'label' => __('Intro Video Section Padding Top','tameer-construction-pro'),
     'description' => __('Enter Padding Top In Pixel','tameer-construction-pro'),
     'section' => 'tameer_construction_pro_section_ordering_settings',
     'setting' => 'tameer_construction_pro_padding_top_intro_video',
     'type'    => 'text'
   ));

  //General Color Pallete
  $wp_customize->add_section('tameer_construction_pro_color_pallette',array(
      'title' => __('Typography / General settings','tameer-construction-pro'),
      'description'=> __('Typography settings','tameer-construction-pro'),
      'panel' => 'tameer_construction_pro_panel_id',
  ));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_boxed_fullwidth_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_boxed_fullwidth_settings',
      array(
      'label' => __('Boxed or Full Width Layout Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  $wp_customize->add_setting('tameer_construction_pro_radio_boxed_full_layout',
      array(
        'default' => 'full-Width',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
  ));
  $wp_customize->add_control('tameer_construction_pro_radio_boxed_full_layout',
      array(
        'type' => 'radio',
        'label' => __('Choose Boxed or Full Width Layout', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_color_pallette',
        'choices' => array(
        'full-Width' => __('Full Width', 'tameer-construction-pro'),
        'boxed' => __('Boxed', 'tameer-construction-pro')
      ),
  ));

  $wp_customize->add_setting('tameer_construction_pro_radio_boxed_full_layout_value',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_radio_boxed_full_layout_value',array(
      'label' => __('Add Boxed layout Width Here','tameer-construction-pro'),
      'description'=> __('Add Maximum Boxed Width upto 1400px.','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_radio_boxed_full_layout_value',
      'type'    => 'text'
    )
  );

  $wp_customize->add_setting( 'tameer_construction_pro_typography_body_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_body_color_fonts_settings',
      array(
      'label' => __('Body Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  //This is Button Text FontFamily picker setting
  $wp_customize->add_setting('tameer_construction_pro_body_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'tameer_construction_pro_body_font_family', array(
      'section'  => 'tameer_construction_pro_color_pallette',
      'label'    => __( 'Body Font family','tameer-construction-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('tameer_construction_pro_body_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_body_font_size',array(
      'label' => __('font size in px','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_body_font_size',
      'type'    => 'text'
    )
  );
  $wp_customize->add_setting( 'tameer_construction_pro_body_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_body_color', array(
    'label' => __('Body color', 'tameer-construction-pro'),
    'section' => 'tameer_construction_pro_color_pallette',
    'settings' => 'tameer_construction_pro_body_color',
  )));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_h1_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_h1_color_fonts_settings',
      array(
      'label' => __('H1 Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  $wp_customize->add_setting('tameer_construction_pro_h1_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'tameer_construction_pro_h1_font_family', array(
      'section'  => 'tameer_construction_pro_color_pallette',
      'label'    => __( 'H1','tameer-construction-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('tameer_construction_pro_h1_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_h1_font_size',array(
      'label' => __('H1 font size in px','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_h1_font_size',
      'type'    => 'text'
    )
  );
  $wp_customize->add_setting( 'tameer_construction_pro_h1_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_h1_color', array(
    'label' => __('H1 color', 'tameer-construction-pro'),
    'section' => 'tameer_construction_pro_color_pallette',
    'settings' => 'tameer_construction_pro_h1_color',
  )));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_h2_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_h2_color_fonts_settings',
      array(
      'label' => __('H2 Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  $wp_customize->add_setting('tameer_construction_pro_h2_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'tameer_construction_pro_h2_font_family', array(
      'section'  => 'tameer_construction_pro_color_pallette',
      'label'    => __( 'H2','tameer-construction-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('tameer_construction_pro_h2_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_h2_font_size',array(
      'label' => __('H2 font size in px','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_h2_font_size',
      'type'    => 'text'
    )
  );
  $wp_customize->add_setting( 'tameer_construction_pro_h2_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_h2_color', array(
    'label' => __('H2 color', 'tameer-construction-pro'),
    'section' => 'tameer_construction_pro_color_pallette',
    'settings' => 'tameer_construction_pro_h2_color',
  )));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_h3_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_h3_color_fonts_settings',
      array(
      'label' => __('H3 Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  $wp_customize->add_setting('tameer_construction_pro_h3_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'tameer_construction_pro_h3_font_family', array(
      'section'  => 'tameer_construction_pro_color_pallette',
      'label'    => __( 'H3','tameer-construction-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('tameer_construction_pro_h3_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_h3_font_size',array(
      'label' => __('H3 font size in px','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_h3_font_size',
      'type'    => 'text'
    )
  );
  $wp_customize->add_setting( 'tameer_construction_pro_h3_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_h3_color', array(
    'label' => __('H3 color', 'tameer-construction-pro'),
    'section' => 'tameer_construction_pro_color_pallette',
    'settings' => 'tameer_construction_pro_h3_color',
  )));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_h4_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_h4_color_fonts_settings',
      array(
      'label' => __('H4 Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  $wp_customize->add_setting('tameer_construction_pro_h4_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'tameer_construction_pro_h4_font_family', array(
      'section'  => 'tameer_construction_pro_color_pallette',
      'label'    => __( 'H4','tameer-construction-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('tameer_construction_pro_h4_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_h4_font_size',array(
      'label' => __('H4 font size in px','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_h4_font_size',
      'type'    => 'text'
    )
  );
  $wp_customize->add_setting( 'tameer_construction_pro_h4_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_h4_color', array(
    'label' => __('H4 color', 'tameer-construction-pro'),
    'section' => 'tameer_construction_pro_color_pallette',
    'settings' => 'tameer_construction_pro_h4_color',
  )));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_h5_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_h5_color_fonts_settings',
      array(
      'label' => __('H5 Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  $wp_customize->add_setting('tameer_construction_pro_h5_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'tameer_construction_pro_h5_font_family', array(
      'section'  => 'tameer_construction_pro_color_pallette',
      'label'    => __( 'H5','tameer-construction-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('tameer_construction_pro_h5_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_h5_font_size',array(
      'label' => __('H5 font size in px','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_h5_font_size',
      'type'    => 'text'
    )
  );
  $wp_customize->add_setting( 'tameer_construction_pro_h5_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_h5_color', array(
    'label' => __('H5 color', 'tameer-construction-pro'),
    'section' => 'tameer_construction_pro_color_pallette',
    'settings' => 'tameer_construction_pro_h5_color',
  )));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_h6_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_h6_color_fonts_settings',
      array(
      'label' => __('H6 Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  $wp_customize->add_setting('tameer_construction_pro_h6_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'tameer_construction_pro_h6_font_family', array(
      'section'  => 'tameer_construction_pro_color_pallette',
      'label'    => __( 'H6','tameer-construction-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('tameer_construction_pro_h6_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_h6_font_size',array(
      'label' => __('H6 font size in px','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_h6_font_size',
      'type'    => 'text'
    )
  );
  $wp_customize->add_setting( 'tameer_construction_pro_h6_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_h6_color', array(
    'label' => __('H6 color', 'tameer-construction-pro'),
    'section' => 'tameer_construction_pro_color_pallette',
    'settings' => 'tameer_construction_pro_h6_color',
  )));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_para_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_para_color_fonts_settings',
      array(
      'label' => __('Para Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  //paragarph font family
  $wp_customize->add_setting('tameer_construction_pro_paragarpah_font_family',array(
    'default' => '',
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field'
  ));
  $wp_customize->add_control(
      'tameer_construction_pro_paragarpah_font_family', array(
      'section'  => 'tameer_construction_pro_color_pallette',
      'label'    => __( 'Paragraph','tameer-construction-pro'),
      'type'     => 'select',
      'choices'  => $font_array,
  ));
  $wp_customize->add_setting('tameer_construction_pro_para_font_size',array(
      'default' => '',
      'sanitize_callback' => 'sanitize_text_field'
    )
  );
  $wp_customize->add_control('tameer_construction_pro_para_font_size',array(
      'label' => __('Paragraph font size in px','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'setting' => 'tameer_construction_pro_para_font_size',
      'type'    => 'text'
    )
  );
  $wp_customize->add_setting( 'tameer_construction_pro_para_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_para_color', array(
      'label' => __('Para color', 'tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette',
      'settings' => 'tameer_construction_pro_para_color',
    )
  ));

  $wp_customize->add_setting( 'tameer_construction_pro_typography_highlight_color_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
  $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_typography_highlight_color_settings',
      array(
      'label' => __('Highlight Color Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_color_pallette'
  )));

  $wp_customize->add_setting( 'tameer_construction_pro_hi_first_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_hi_first_color', array(
    'label' => __('Highlight Color  (It will change it globally)', 'tameer-construction-pro'),
    'section' => 'tameer_construction_pro_color_pallette',
    'settings' => 'tameer_construction_pro_hi_first_color',
  )));

?>