<?php

    $wp_customize->add_setting('tameer_construction_pro_custom_footer_socail_icon_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_custom_footer_socail_icon_color', array(
        'label' => __('Social Icon Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_contact_details_section',
        'settings' => 'tameer_construction_pro_custom_footer_socail_icon_color',
    )));
    /* Footer Sections */
    $wp_customize->add_section('tameer_construction_pro_footer_widget_section',array(
        'title' => __('Footer Widgets','tameer-construction-pro'),
        'description'   => __('Edit footer Widgets sections','tameer-construction-pro'),
        'panel' => 'tameer_construction_pro_panel_id',
    ));

    $wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_footer_widgets_enable', array(
        'selector' => '#footer .container.footer-cols',
        'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_footer_widgets_enable',
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_footer_enable_disable_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_footer_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_footer_widget_section'
    )));

    $wp_customize->add_setting('tameer_construction_pro_footer_widgets_enable',
    array(
        'default' => 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control('tameer_construction_pro_footer_widgets_enable',
    array(
        'type' => 'radio',
        'label' => 'Do you want this section',
        'section' => 'tameer_construction_pro_footer_widget_section',
        'choices' => array(
            'Enable' => __('Enable', 'tameer-construction-pro'),
            'Disable' => __('Disable', 'tameer-construction-pro')
        ),
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_footer_background_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_footer_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_footer_widget_section'
    )));

    // add color picker setting
    $wp_customize->add_setting( 'tameer_construction_pro_footer_widget_bgcolor', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    // add color picker control
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_widget_bgcolor', array(
        'label' => __('Background Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_widget_section',
        'settings' => 'tameer_construction_pro_footer_widget_bgcolor',
    )));
    $wp_customize->add_setting('tameer_construction_pro_footer_widget_bgimage',array(
        'default'   => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'tameer_construction_pro_footer_widget_bgimage',
            array(
                'label' => __('Background image','tameer-construction-pro'),
                'section' => 'tameer_construction_pro_footer_widget_section',
                'settings' => 'tameer_construction_pro_footer_widget_bgimage'
    )));    

    $wp_customize->add_setting( 'tameer_construction_pro_footer_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_footer_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_footer_widget_section'
    )));

    $wp_customize->add_setting('tameer_construction_pro_footer_widget_heading_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_widget_heading_color', array(
        'label' => __('Footer Heading Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_widget_section',
        'settings' => 'tameer_construction_pro_footer_widget_heading_color',
    )));
    
    $wp_customize->add_setting('tameer_construction_pro_footer_widget_heading_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_footer_widget_heading_font_family', array(
        'section'  => 'tameer_construction_pro_footer_widget_section',
        'label'    => __( 'Footer Heading Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

    $wp_customize->add_setting('tameer_construction_pro_footer_widget_content_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_widget_content_color', array(
        'label' => __('Footer Content Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_widget_section',
        'settings' => 'tameer_construction_pro_footer_widget_content_color',
    )));
    
    $wp_customize->add_setting('tameer_construction_pro_footer_widget_content_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_footer_widget_content_font_family', array(
        'section'  => 'tameer_construction_pro_footer_widget_section',
        'label'    => __( 'Footer Content Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

    $wp_customize->add_setting('tameer_construction_pro_footer_widget_social_icon_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_widget_social_icon_color', array(
        'label' => __('Footer Social Icon Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_widget_section',
        'settings' => 'tameer_construction_pro_footer_widget_social_icon_color',
    )));

    $wp_customize->add_setting('tameer_construction_pro_footer_widget_social_icon_border_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_widget_social_icon_border_color', array(
        'label' => __('Footer Social Icon Border Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_widget_section',
        'settings' => 'tameer_construction_pro_footer_widget_social_icon_border_color',
    )));

    $wp_customize->add_setting('tameer_construction_pro_footer_widget_contact_icon_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_widget_contact_icon_color', array(
        'label' => __('Footer Contact Icon Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_widget_section',
        'settings' => 'tameer_construction_pro_footer_widget_contact_icon_color',
    )));

    // Footer Copyright
    $wp_customize->add_section('tameer_construction_pro_footer_section',array(
        'title' => __('Footer Text','tameer-construction-pro'),
        'description'   => __('Add some text for footer like copyright etc.','tameer-construction-pro'),
        'priority'  => null,
        'panel' => 'tameer_construction_pro_panel_id',
    ));


    $wp_customize->add_setting( 'tameer_construction_pro_copyright_text_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_copyright_text_settings',
      array(
      'label' => __('Copyright Text Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_footer_section'
    )));

    $wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_footer_copy', array(
        'selector' => '.copyright .container',
        'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_footer_copy',
    ));

    $wp_customize->add_setting('tameer_construction_pro_footer_copy',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_footer_copy',array(
        'label' => __('Copyright Text','tameer-construction-pro'),
        'section'   => 'tameer_construction_pro_footer_section',
        'type'      => 'textarea'
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_copyright_background_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_copyright_background_settings',
      array(
      'label' => __('Footer Copyright Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_footer_section'
    )));

     // add color picker setting
    $wp_customize->add_setting( 'tameer_construction_pro_footer_copy_bgcolor', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    // add color picker control
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_copy_bgcolor', array(
        'label' => __('Background Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_section',
        'settings' => 'tameer_construction_pro_footer_copy_bgcolor',
    )));
    $wp_customize->add_setting('tameer_construction_pro_footer_copy_bgimage',array(
        'default'   => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'tameer_construction_pro_footer_copy_bgimage',
            array(
                'label' => __('Background image','tameer-construction-pro'),
                'section' => 'tameer_construction_pro_footer_section',
                'settings' => 'tameer_construction_pro_footer_copy_bgimage'
    )));

    $wp_customize->add_setting( 'tameer_construction_pro_copyright_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_copyright_color_fonts_settings',
      array(
      'label' => __('Footer Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_footer_section'
    )));

    $wp_customize->add_setting( 'tameer_construction_pro_footer_copy_content_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    // add color picker control
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_copy_content_color', array(
        'label' => __('Footer Content Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_section',
        'settings' => 'tameer_construction_pro_footer_copy_content_color',
    )));

    $wp_customize->add_setting('tameer_construction_pro_footer_copy_content_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_footer_copy_content_font_family', array(
        'section'  => 'tameer_construction_pro_footer_section',
        'label'    => __( 'Content Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

    $wp_customize->add_setting('tameer_construction_pro_footer_copy_themeseye_text_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_footer_copy_themeseye_text_color', array(
        'label' => __('ThemesEye Text Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_footer_section',
        'settings' => 'tameer_construction_pro_footer_copy_themeseye_text_color',
    )));

    $wp_customize->add_setting('tameer_construction_pro_footer_copy_themeseye_text_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_footer_copy_themeseye_text_font_family', array(
        'section'  => 'tameer_construction_pro_footer_section',
        'label'    => __( 'Themeseye Text Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));


    //Contact Page section
    $wp_customize->add_section('tameer_construction_pro_contact_page_section',array(
        'title' => __('Contact','tameer-construction-pro'),
        'description'   => __('Add contact page settings here).','tameer-construction-pro'),
        'priority'  => null,
        'panel' => 'tameer_construction_pro_panel_id',
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_contact_page_map_latitude_longitude_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_contact_page_map_latitude_longitude_settings',
      array(
      'label' => __('Map Latitude & Longitude Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_contact_page_section'
    )));

    $wp_customize->add_setting('tameer_construction_pro_address_longitude',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('tameer_construction_pro_address_longitude',array(
        'label' => __('Longitude','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_address_longitude',
        'type'=>'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_address_latitude',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('tameer_construction_pro_address_latitude',array(
        'label' => __('Latitude','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_address_latitude',
        'type'=>'text'
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_contact_page_contents_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_contact_page_contents_settings',
      array(
      'label' => __('Contact Page Contents Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_contact_page_section'
    )));

    $wp_customize->add_setting('tameer_construction_pro_contactpage_email_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_email_title',array(
        'label' => __('Email Title','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_email_title',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_contactpage_email',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_email',array(
        'label' => __('Email ','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_email',
        'type'  => 'text'
    ));
    
    $wp_customize->add_setting('tameer_construction_pro_address_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_address_title',array(
        'label' => __('Address','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_address_title',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_address',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_address',array(
        'label' => __('Address ','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_address',
        'type'  => 'textarea'
    ));
    $wp_customize->add_setting('tameer_construction_pro_contactpage_phone_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_phone_title',array(
        'label' => __('Phone Title','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_phone_title',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_contactpage_phone',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_phone',array(
        'label' => __('Phone ','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_phone',
        'type'  => 'text'
    ));

    $wp_customize->add_setting('tameer_construction_pro_contactpage_working_hours_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_working_hours_title',array(
        'label' => __('Working Hours','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_working_hours_title',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_contactpage_working_hours',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_working_hours',array(
        'label' => __('Add Working Hours','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_working_hours',
        'type'  => 'textarea'
    ));

    $wp_customize->add_setting('tameer_construction_pro_contactpage_form_desc',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_form_desc',array(
        'label' => __('Add Additional Information','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_form_desc',
        'type'  => 'textarea'
    ));

    $wp_customize->add_setting('tameer_construction_pro_contactpage_form_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_form_title',array(
        'label' => __('Add Form Title','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_form_title',
        'type'  => 'text'
    ));

    $wp_customize->add_setting('tameer_construction_pro_contactpage_form_subtitle',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_contactpage_form_subtitle',array(
        'label' => __('Add Form Sub Title','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'setting'   => 'tameer_construction_pro_contactpage_form_subtitle',
        'type'  => 'textarea'
    ));


    $wp_customize->add_setting( 'tameer_construction_pro_contact_page_color_fonts_settings',
      array(
      'default' => '',
      'transport' => 'postMessage',
      'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
    ));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_contact_page_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_contact_page_section'
    )));

    $wp_customize->add_setting( 'tameer_construction_pro_contact_page_heading_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_contact_page_heading_color', array(
        'label' => __('Contact Heading Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'settings' => 'tameer_construction_pro_contact_page_heading_color',
    )));
    //This is Section Heading FontFamily picker setting
    $wp_customize->add_setting('tameer_construction_pro_contact_page_heading_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_contact_page_heading_font_family', array(
        'section'  => 'tameer_construction_pro_contact_page_section',
        'label'    => __( 'Contact Heading Fonts','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
    $wp_customize->add_setting( 'tameer_construction_pro_contact_page_content_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_contact_page_content_color', array(
        'label' => __('Contact Content Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'settings' => 'tameer_construction_pro_contact_page_content_color',
    )));
    //This is Section Heading FontFamily picker setting
    $wp_customize->add_setting('tameer_construction_pro_contact_page_contact_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_contact_page_contact_font_family', array(
        'section'  => 'tameer_construction_pro_contact_page_section',
        'label'    => __( 'Contact Content Fonts','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
    $wp_customize->add_setting( 'tameer_construction_pro_contact_page_icon_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_contact_page_icon_color', array(
        'label' => __('Icon Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'settings' => 'tameer_construction_pro_contact_page_icon_color',
    )));

    //Shortcode Section
    $wp_customize->add_section('tameer_construction_pro_shortcode_section',array(
        'title' => __('Shortcode Settings','tameer-construction-pro'),
        'description'   => __('Use below shortcode here.','tameer-construction-pro'),
        'priority'  => null,
        'panel' => 'tameer_construction_pro_panel_id',
    ));
   $wp_customize->add_setting('tameer_construction_pro_shortcode',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_textarea_field'
    ));
    $wp_customize->add_control('tameer_construction_pro_shortcode',array(
        'section' => 'tameer_construction_pro_shortcode_section',
        'setting'   => 'tameer_construction_pro_shortcode',
        'type'=>'textarea'
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_contact_page_form_title_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_contact_page_form_title_color', array(
        'label' => __('Contact Form Title Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'settings' => 'tameer_construction_pro_contact_page_form_title_color',
    )));
    //This is Section Heading FontFamily picker setting
    $wp_customize->add_setting('tameer_construction_pro_contact_page_form_title_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_contact_page_form_title_font_family', array(
        'section'  => 'tameer_construction_pro_contact_page_section',
        'label'    => __( 'Contact Form Title Fonts','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_contact_page_form_subtitle_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_contact_page_form_subtitle_color', array(
        'label' => __('Contact Form Sub-title Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_contact_page_section',
        'settings' => 'tameer_construction_pro_contact_page_form_subtitle_color',
    )));
    //This is Section Heading FontFamily picker setting
    $wp_customize->add_setting('tameer_construction_pro_contact_page_form_subtitle_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_contact_page_form_subtitle_font_family', array(
        'section'  => 'tameer_construction_pro_contact_page_section',
        'label'    => __( 'Contact Form Sub-title Fonts','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));
?>