<?php
	// Header Section

	$wp_customize->add_section('tameer_construction_pro_header_section',array(
		'title'	=> __('Header','tameer-construction-pro'),
		'description'	=> __('Header Settings','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_header_title_color', array(
      'selector' => '#header .container',
      'render_callback' => 'fameer_construction_pro_customize_partial_tameer_construction_pro_header_title_color',
  	));

	$wp_customize->add_setting( 'tameer_construction_pro_header_title_color_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_header_title_color_settings',
	    array(
	    'label' => __('Header Mail Title Color Fonts Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_header_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_header_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_header_title_color', array(
		'label' => __('Header Main title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_header_title_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_header_title_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_header_title_font_family', array(
	    'section'  => 'tameer_construction_pro_header_section',
	    'label'    => __('Header Main title Font family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_headerhomebg_color_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_headerhomebg_color_settings',
	    array(
	    'label' => __('Header Background Color Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_header_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_headerhomebg_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_headerhomebg_color', array(
		'label' => __('Header Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_headerhomebg_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_headermenu_color_fonts_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_headermenu_color_fonts_settings',
	    array(
	    'label' => __('Menu Item Color Fonts Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_header_section'
	)));

	// This is Header Menu Color picker setting
	$wp_customize->add_setting( 'tameer_construction_pro_headermenu_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_headermenu_color', array(
		'label' => __('Menu Item Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_headermenu_color',
	)));
	//This is Header Menu FontFamily picker setting
	$wp_customize->add_setting('tameer_construction_pro_headermenu_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	 ));
	$wp_customize->add_control(
	    'tameer_construction_pro_headermenu_font_family', array(
	    'section'  => 'tameer_construction_pro_header_section',
	    'label'    => __( 'Menu Item Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_header_menuhovercolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_header_menuhovercolor', array(
		'label' => __('Menu Item Hover Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_header_menuhovercolor',
	)));
	
	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_color_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_color_settings',
	    array(
	    'label' => __('Menu DropDown Background Color Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_header_section'
	)));

	// This is Nav Dropdown Background Color picker setting
	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_color', array(
		'label' => __('Menu DropDown Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_dropdownbg_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_itemcolor_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_itemcolor_settings',
	    array(
	    'label' => __('Menu DropDown Item Color Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_header_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_itemcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_itemcolor', array(
		'label' => __('Menu DropDown Item Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_dropdownbg_itemcolor',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_item_hovercolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_item_hovercolor', array(
		'label' => __('Menu DropDown Item Hover Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_dropdownbg_item_hovercolor',
	)));
	
	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_responsivecolor_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_responsivecolor_settings',
	    array(
	    'label' => __('Responsive Menu Background Color Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_header_section'
	)));

	//In Responsive
	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_responsivecolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_responsivecolor', array(
		'label' => __('Responsive Menu Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_dropdownbg_responsivecolor',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_headermenu_responsive_item_color_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_headermenu_responsive_item_color_settings',
	    array(
	    'label' => __('Responsive Menu Item Color Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_header_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_headermenu_responsive_item_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_headermenu_responsive_item_color', array(
		'label' => __('Responsive Menu Item Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_headermenu_responsive_item_color',
	)));
?>