<?php
	$wp_customize->add_section('tameer_construction_pro_slider_section',array(
		'title'	=> __('Slider Settings','tameer-construction-pro'),
		'description'	=> __('Add slider images here.','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_slider_enabledisable_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_slider_enabledisable_settings',
	    array(
	    'label' => __('Slider Enable Disable Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_slider_section'
	)));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_slider_enabledisable', array(
	    'selector' => '#slider .slider-box',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_slider_enabledisable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_slider_enabledisable',array(
        'default'=> 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
	$wp_customize->add_control('tameer_construction_pro_slider_enabledisable', array(
        'type' => 'radio',
        'label' => 'Do you want this section',
        'section' => 'tameer_construction_pro_slider_section',
        'choices' => array(
            'Enable' => 'Enable',
            'Disable' => 'Disable'
        ),
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_slide_number_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_slide_number_settings',
	    array(
	    'label' => __('Slider Number Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_slider_section'
	)));

	$wp_customize->add_setting('tameer_construction_pro_slide_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('tameer_construction_pro_slide_number',array(
		'label'	=> __('Number of slides to show','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_slider_section',
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_slide_contents_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_slide_contents_settings',
	    array(
	    'label' => __('Slider Contents Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_slider_section'
	)));

	$count =  get_theme_mod('tameer_construction_pro_slide_number');
		
	for($i=1, $j=1; $i<=$count; $i++, $j++) {
		if($j>=5){ $j=1; }
		$wp_customize->add_setting('tameer_construction_pro_slide_image'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_slide_image'.$i,
	        array(
	            'label' => __('Slider Image ','tameer-construction-pro').$i.__(' (1600x562)','tameer-construction-pro'),
	            'section' => 'tameer_construction_pro_slider_section',
	            'settings' => 'tameer_construction_pro_slide_image'.$i
		)));
		$wp_customize->add_setting('tameer_construction_pro_slide_heading'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_slide_heading'.$i,array(
			'label' => __('Slide Title','tameer-construction-pro').$i,
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_slide_heading'.$i,
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_slide_heading_first'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_slide_heading_first'.$i,array(
			'label' => __('Slide Sub-title','tameer-construction-pro').$i,
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_slide_heading_first'.$i,
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_slider_know_more_button'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_textarea_field',
		));
		$wp_customize->add_control('tameer_construction_pro_slider_know_more_button'.$i,array(
			'label' => __('Slide Text','tameer-construction-pro').$i,
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_slider_know_more_button'.$i,
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_list_icon1',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_textarea_field',
		));
		$wp_customize->add_control('tameer_construction_pro_list_icon1',array(
			'label' => __('Innovate Icon','tameer-construction-pro'),
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_list_icon1',
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_list_image1',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_list_image1',
	        array(
	            'label' => __('Innovate Image ','tameer-construction-pro'),
	            'section' => 'tameer_construction_pro_slider_section',
	            'settings' => 'tameer_construction_pro_list_image1'
		)));
		$wp_customize->add_setting('tameer_construction_pro_slide_list_text1',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_textarea_field',
		));
		$wp_customize->add_control('tameer_construction_pro_slide_list_text1',array(
			'label' => __('Innovate Label','tameer-construction-pro'),
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_slide_list_text1',
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_list_icon2',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_textarea_field',
		));
		$wp_customize->add_control('tameer_construction_pro_list_icon2',array(
			'label' => __('Create Icon','tameer-construction-pro'),
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_list_icon2',
			'type'	=> 'text'
		));
			$wp_customize->add_setting('tameer_construction_pro_list_image2',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_list_image2',
	        array(
	            'label' => __('Create Image ','tameer-construction-pro'),
	            'section' => 'tameer_construction_pro_slider_section',
	            'settings' => 'tameer_construction_pro_list_image2'
		)));
		$wp_customize->add_setting('tameer_construction_pro_slide_list_text2',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_textarea_field',
		));
		$wp_customize->add_control('tameer_construction_pro_slide_list_text2',array(
			'label' => __('Create Label','tameer-construction-pro'),
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_slide_list_text2',
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_list_icon3',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_textarea_field',
		));
		$wp_customize->add_control('tameer_construction_pro_list_icon3',array(
			'label' => __('Deliver Icon','tameer-construction-pro'),
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_list_icon3',
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_list_image3',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_list_image3',
	        array(
	            'label' => __('Deliver Image ','tameer-construction-pro'),
	            'section' => 'tameer_construction_pro_slider_section',
	            'settings' => 'tameer_construction_pro_list_image3'
		)));
		$wp_customize->add_setting('tameer_construction_pro_slide_list_text3',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_textarea_field',
		));
		$wp_customize->add_control('tameer_construction_pro_slide_list_text3',array(
			'label' => __('Deliver Label','tameer-construction-pro'),
			'section' => 'tameer_construction_pro_slider_section',
			'setting'	=> 'tameer_construction_pro_slide_list_text3',
			'type'	=> 'text'
		));
	}

	$wp_customize->add_setting( 'tameer_construction_pro_slide_delay_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_slide_delay_settings',
	    array(
	    'label' => __('Slide Delay Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_slider_section'
	)));

	// Other Settings
	$wp_customize->add_setting('tameer_construction_pro_slide_delay',array(
		'default'	=> '1000',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('tameer_construction_pro_slide_delay',array(
		'label'	=> __('Slide Delay','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_slider_section',
		'description' => __('interval is in milliseconds. 1000 = 1 second -> so 1000 * 10 = 10 seconds', 'tameer-construction-pro'),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_slide_fade_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_slide_fade_settings',
	    array(
	    'label' => __('Slide Fade Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_slider_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_slide_remove_fade',
	   array(
	      'default' => 0,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_slide_remove_fade',
	   array(
	      'label' => esc_html__( 'Turn On Fade Slider','tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_slider_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_slide_color_fonts_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_slide_color_fonts_settings',
	    array(
	    'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_slider_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_slidermainHeading_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_slidermainHeading_color', array(
		'label' => __('Slider Top Heading Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_slider_section',
		'settings' => 'tameer_construction_pro_slidermainHeading_color',
	)));
	//This is Slider Heading FontFamily picker setting
	$wp_customize->add_setting('tameer_construction_pro_slidermainHeading_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_slidermainHeading_font_family', array(
	    'section'  => 'tameer_construction_pro_slider_section',
	    'label'    => __( 'Slider Top Heading Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is Slider Heading Color picker setting
	$wp_customize->add_setting( 'tameer_construction_pro_sliderHeading_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_sliderHeading_color', array(
		'label' => __('Slider Heading Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_slider_section',
		'settings' => 'tameer_construction_pro_sliderHeading_color',
	)));
	//This is Slider Heading FontFamily picker setting
	$wp_customize->add_setting('tameer_construction_pro_sliderHeading_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_sliderHeading_font_family', array(
	    'section'  => 'tameer_construction_pro_slider_section',
	    'label'    => __( 'Slider Heading Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	// This is Slider Text Color picker setting
	$wp_customize->add_setting( 'tameer_construction_pro_slidertext_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_slidertext_color', array(
		'label' => __('Slider Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_slider_section',
		'settings' => 'tameer_construction_pro_slidertext_color',
	)));
	//This is Slider Text FontFamily picker setting
	$wp_customize->add_setting('tameer_construction_pro_slidertext_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_slidertext_font_family', array(
	    'section'  => 'tameer_construction_pro_slider_section',
	    'label'    => __( 'Slider Text Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_sliderbutton_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_sliderbutton_text_color', array(
		'label' => __('Slider Text Button Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_slider_section',
		'settings' => 'tameer_construction_pro_sliderbutton_text_color',
	)));
	//This is Slider Text FontFamily picker setting
	$wp_customize->add_setting('tameer_construction_pro_sliderButton_text_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_sliderButton_text_font_family', array(
	    'section'  => 'tameer_construction_pro_slider_section',
	    'label'    => __( 'Slider Text Button Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_sliderbutton_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_sliderbutton_bgcolor', array(
		'label' => __('Slider Button Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_slider_section',
		'settings' => 'tameer_construction_pro_sliderbutton_bgcolor',
	)));
	$wp_customize->add_setting( 'tameer_construction_pro_sliderbutton_hover_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_sliderbutton_hover_bgcolor', array(
		'label' => __('Slider Button Hover Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_slider_section',
		'settings' => 'tameer_construction_pro_sliderbutton_hover_bgcolor',
	)));
 	$wp_customize->add_setting('tameer_construction_pro_slider_arrows',array(
        'default' => 'true',
        'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('tameer_construction_pro_slider_arrows',array(
        'type' => 'checkbox',
        'label' => __('Show / Hide Next & Previous Arrows','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_slider_section',
    ));
?>