<?php
/**
 * tameer-construction-pro Theme Customizer
 *
 * @package tameer-construction-pro
 */
/**
 * Loads custom control for layout settings
 */
function tameer_construction_pro_custom_controls() {
    require_once get_template_directory() . '/inc/admin/customize-texteditor-control.php';
    require_once get_template_directory() . '/inc/custom-controls.php';

     // Inlcude the Alpha Color Picker control file.
    require_once get_template_directory() . '/inc/alpha-color-picker.php';
     get_stylesheet_directory_uri() . '/assets/js/alpha-color-picker.js';
     get_stylesheet_directory_uri() . '/assets/css/alpha-color-picker.css';

}
add_action( 'customize_register', 'tameer_construction_pro_custom_controls' );
/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function tameer_construction_pro_customize_register( $wp_customize ) {
    $wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
    $wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';

    $wp_customize->add_setting('tameer_construction_pro_display_title',array(
        'default' => 'false',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('tameer_construction_pro_display_title',array(
        'type' => 'checkbox',
        'label' => __('Show Title','tameer-construction-pro'),
        'section' => 'title_tagline',
    ));
    $wp_customize->add_setting('tameer_construction_pro_display_tagline',array(
        'default' => 'false',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('tameer_construction_pro_display_tagline',array(
        'type' => 'checkbox',
        'label' => __('Show Tagline','tameer-construction-pro'),
        'section' => 'title_tagline',
    ));
    
    //add home page setting pannel
    $wp_customize->add_panel( 'tameer_construction_pro_panel_id', array(
        'priority' => 10,
        'capability' => 'edit_theme_options',
        'theme_supports' => '',
        'title' => __( 'Theme Settings', 'tameer-construction-pro' ),
        'description' => __( 'Description of what this panel does.', 'tameer-construction-pro' ),
    ) );
    $font_array = array(
        '' => __( 'No Fonts', 'tameer-construction-pro' ),
        'Abril Fatface' => __( 'Abril Fatface', 'tameer-construction-pro' ),
        'Acme' => __( 'Acme', 'tameer-construction-pro' ),
        'Anton' => __( 'Anton', 'tameer-construction-pro' ),
        'Architects Daughter' => __( 'Architects Daughter', 'tameer-construction-pro' ),
        'Arimo' => __( 'Arimo', 'tameer-construction-pro' ),
        'Arsenal' => __( 'Arsenal', 'tameer-construction-pro' ),
        'Arvo' => __( 'Arvo', 'tameer-construction-pro' ),
        'Alegreya' => __( 'Alegreya', 'tameer-construction-pro' ),
        'Alfa Slab One' => __( 'Alfa Slab One', 'tameer-construction-pro' ),
        'Averia Serif Libre' => __( 'Averia Serif Libre', 'tameer-construction-pro' ),
        'Bangers' => __( 'Bangers', 'tameer-construction-pro' ),
        'Boogaloo' => __( 'Boogaloo', 'tameer-construction-pro' ),
        'Bad Script' => __( 'Bad Script', 'tameer-construction-pro' ),
        'Bitter' => __( 'Bitter', 'tameer-construction-pro' ),
        'Bree Serif' => __( 'Bree Serif', 'tameer-construction-pro' ),
        'BenchNine' => __( 'BenchNine', 'tameer-construction-pro' ),
        'Cabin' => __( 'Cabin', 'tameer-construction-pro' ),
        'Cardo' => __( 'Cardo', 'tameer-construction-pro' ),
        'Courgette' => __( 'Courgette', 'tameer-construction-pro' ),
        'Cherry Swash' => __( 'Cherry Swash', 'tameer-construction-pro' ),
        'Cormorant Garamond' => __( 'Cormorant Garamond', 'tameer-construction-pro' ),
        'Crimson Text' => __( 'Crimson Text', 'tameer-construction-pro' ),
        'Cuprum' => __( 'Cuprum', 'tameer-construction-pro' ),
        'Cookie' => __( 'Cookie', 'tameer-construction-pro' ),
        'Chewy' => __( 'Chewy', 'tameer-construction-pro' ),
        'Days One' => __( 'Days One', 'tameer-construction-pro' ),
        'Dosis' => __( 'Dosis', 'tameer-construction-pro' ),
        'Economica' => __( 'Economica', 'tameer-construction-pro' ),
        'Fredoka One' => __( 'Fredoka One', 'tameer-construction-pro' ),
        'Fjalla One' => __( 'Fjalla One', 'tameer-construction-pro' ),
        'Francois One' => __( 'Francois One', 'tameer-construction-pro' ),
        'Frank Ruhl Libre' => __( 'Frank Ruhl Libre', 'tameer-construction-pro' ),
        'Gloria Hallelujah' => __( 'Gloria Hallelujah', 'tameer-construction-pro' ),
        'Great Vibes' => __( 'Great Vibes', 'tameer-construction-pro' ),
        'Handlee' => __( 'Handlee', 'tameer-construction-pro' ),
        'Hammersmith One' => __( 'Hammersmith One', 'tameer-construction-pro' ),
        'Inconsolata' => __( 'Inconsolata', 'tameer-construction-pro' ),
        'Indie Flower' => __( 'Indie Flower', 'tameer-construction-pro' ),
        'IM Fell English SC' => __( 'IM Fell English SC', 'tameer-construction-pro' ),
        'Julius Sans One' => __( 'Julius Sans One', 'tameer-construction-pro' ),
        'Josefin Slab' => __( 'Josefin Slab', 'tameer-construction-pro' ),
        'Josefin Sans' => __( 'Josefin Sans', 'tameer-construction-pro' ),
        'Kanit' => __( 'Kanit', 'tameer-construction-pro' ),
        'Lobster' => __( 'Lobster', 'tameer-construction-pro' ),
        'Lato' => __( 'Lato', 'tameer-construction-pro' ),
        'Lora' => __( 'Lora', 'tameer-construction-pro' ),
        'Libre Baskerville' => __( 'Libre Baskerville', 'tameer-construction-pro' ),
        'Lobster Two' => __( 'Lobster Two', 'tameer-construction-pro' ),
        'Merriweather' => __( 'Merriweather', 'tameer-construction-pro' ),
        'Monda' => __( 'Monda', 'tameer-construction-pro' ),
        'Montserrat' => __( 'Montserrat', 'tameer-construction-pro' ),
        'Muli' => __( 'Muli', 'tameer-construction-pro' ),
        'Marck Script' => __( 'Marck Script', 'tameer-construction-pro' ),
        'Noto Serif' => __( 'Noto Serif', 'tameer-construction-pro' ),
        'Open Sans' => __( 'Open Sans', 'tameer-construction-pro' ),
        'Overpass' => __( 'Overpass', 'tameer-construction-pro' ),
        'Overpass Mono' => __( 'Overpass Mono', 'tameer-construction-pro' ),
        'Oxygen' => __( 'Oxygen', 'tameer-construction-pro' ),
        'Orbitron' => __( 'Orbitron', 'tameer-construction-pro' ),
        'Patua One' => __( 'Patua One', 'tameer-construction-pro' ),
        'Pacifico' => __( 'Pacifico', 'tameer-construction-pro' ),
        'Padauk' => __( 'Padauk', 'tameer-construction-pro' ),
        'Playball' => __( 'Playball', 'tameer-construction-pro' ),
        'Playfair Display' => __( 'Playfair Display', 'tameer-construction-pro' ),
        'PT Sans' => __( 'PT Sans', 'tameer-construction-pro' ),
        'Philosopher' => __( 'Philosopher', 'tameer-construction-pro' ),
        'Permanent Marker' => __( 'Permanent Marker', 'tameer-construction-pro' ),
        'Poiret One' => __( 'Poiret One', 'tameer-construction-pro' ),
        'Quicksand' => __( 'Quicksand', 'tameer-construction-pro' ),
        'Quattrocento Sans' => __( 'Quattrocento Sans', 'tameer-construction-pro' ),
        'Raleway' => __( 'Raleway', 'tameer-construction-pro' ),
        'Rubik' => __( 'Rubik', 'tameer-construction-pro' ),
        'Rokkitt' => __( 'Rokkitt', 'tameer-construction-pro' ),
        'Russo One' => __( 'Russo One', 'tameer-construction-pro' ),
        'Righteous' => __( 'Righteous', 'tameer-construction-pro' ),
        'Slabo' => __( 'Slabo', 'tameer-construction-pro' ),
        'Source Sans Pro' => __( 'Source Sans Pro', 'tameer-construction-pro' ),
        'Shadows Into Light Two' => __( 'Shadows Into Light Two', 'tameer-construction-pro'),
        'Shadows Into Light' => __( 'Shadows Into Light', 'tameer-construction-pro' ),
        'Sacramento' => __( 'Sacramento', 'tameer-construction-pro' ),
        'Shrikhand' => __( 'Shrikhand', 'tameer-construction-pro' ),
        'Tangerine' => __( 'Tangerine', 'tameer-construction-pro' ),
        'Ubuntu' => __( 'Ubuntu', 'tameer-construction-pro' ),
        'VT323' => __( 'VT323', 'tameer-construction-pro' ),
        'Varela Round' => __( 'Varela Round', 'tameer-construction-pro' ),
        'Vampiro One' => __( 'Vampiro One', 'tameer-construction-pro' ),
        'Vollkorn' => __( 'Vollkorn', 'tameer-construction-pro' ),
        'Volkhov' => __( 'Volkhov', 'tameer-construction-pro' ),
        'Yanone Kaffeesatz' => __( 'Yanone Kaffeesatz', 'tameer-construction-pro' )
    );
if(varifying_status_key_activation()){
    require_once get_template_directory() . '/inc/customizer-seperator/class/customizer-seperator.php';
    
    require_once get_template_directory() . '/inc/customizer-text-radio-button/class/customizer-text-radio-button.php';

    require get_template_directory() . '/inc/customize-repeater/customize-repeater.php';

    //general Settings
    require get_template_directory() . '/inc/customizer-custom-variables.php';
    //Top bar
    require get_template_directory() . '/inc/customizer-part-top-bar.php';
    //Header
    require get_template_directory() . '/inc/customizer-part-header.php';
    //Slider
    require get_template_directory() . '/inc/customizer-part-slide.php';
    //Home page sections
    require get_template_directory() . '/inc/customizer-part-home.php';
    // Social icons
    require get_template_directory() . '/inc/customizer-part-social-icons.php';
    //Footer
    require get_template_directory() . '/inc/customizer-part-footer.php';

}
}
add_action( 'customize_register', 'tameer_construction_pro_customize_register' );
//Integer
function tameer_construction_pro_sanitize_integer( $input ) {
    if( is_numeric( $input ) ) {
        return intval( $input );
    }
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class tameer_construction_pro_customize {
    /**
     * Returns the instance.
     *
     * @since  1.0.0
     * @access public
     * @return object
     */
    public static function get_instance() {
        static $instance = null;
        if ( is_null( $instance ) ) {
            $instance = new self;
            $instance->setup_actions();
        }
        return $instance;
    }
    /**
     * Constructor method.
     *
     * @since  1.0.0
     * @access private
     * @return void
     */
    private function __construct() {}
    /**
     * Sets up initial actions.
     *
     * @since  1.0.0
     * @access private
     * @return void
     */
    private function setup_actions() {
        // Register panels, sections, settings, controls, and partials.
        add_action( 'customize_register', array( $this, 'sections' ) );
        // Register scripts and styles for the controls.
        add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
    }
    /**
     * Sets up the customizer sections.
     *
     * @since  1.0.0
     * @access public
     * @param  object  $manager
     * @return void
     */
    public function sections( $manager ) {
        // Load custom sections.
        load_template( trailingslashit( get_template_directory() ) . '/inc/review-section.php' );
        // Register custom section types.
        $manager->register_section_type( 'tameer_construction_pro_customize_reviews_and_testimonials' );
        // Register sections.
        $manager->add_section(
            new tameer_construction_pro_customize_reviews_and_testimonials(
                $manager,
                'example_1',
                array(
                    'title'    => esc_html__( 'Review & Testimonial', 'tameer-construction-pro' ),
                    'reviews_and_testimonials_text' => esc_html__( 'Rate Us', 'tameer-construction-pro' ),
                    'reviews_and_testimonials_url'  => 'https://www.themeseye.com/forums/topic/reviews-and-testimonial/'
                )
            )
        );
    }
    /**
     * Loads theme customizer CSS.
     *
     * @since  1.0.0
     * @access public
     * @return void
     */
    public function enqueue_control_scripts() {
        wp_enqueue_script( 'tameer-construction-pro-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );
        wp_enqueue_style( 'tameer-construction-pro-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
    }
}
// Doing this customizer thang!
tameer_construction_pro_customize::get_instance();


