<?php
//about theme info
add_action( 'admin_menu', 'tameer_construction_pro_gettingstarted' );
function tameer_construction_pro_gettingstarted() {    	
	add_theme_page( esc_html__('Get Started', 'tameer-construction-pro'), esc_html__('Get Started', 'tameer-construction-pro'), 'edit_theme_options', 'tameer_construction_pro_guide', 'tameer_construction_pro_mostrar_guide');   
}

function tameer_construction_pro_notice(){
    global $pagenow;
    if ( is_admin() && ('themes.php' == $pagenow) && isset( $_GET['activated'] ) ) {?>
    <div class="notice notice-success is-dismissible getting_started">
		<div class="notice-content">
			<p><img src="<?php echo get_template_directory_uri() ?>/inc/getstarted/images/final-logo.png" width="200"></p>
			<h2><?php _e( 'Thanks for installing Tameer CONSTRUCTION PRO, you rock!', 'tameer-construction-pro' ) ?> </h2>
			<p><?php _e( 'Tameer CONSTRUCTION PRO now supports colors, typography custom links for custom post types. Take benefit of a variety of features, functionalities, elements, and an exclusive set of customization options to build your own professional website', 'tameer-construction-pro' ) ?></p>
			<p><?php _e( "Please Click on the link below to know the theme setup information", 'tameer-construction-pro' ) ?></p>
			<p><a href="<?php echo esc_url( admin_url( 'themes.php?page=tameer_construction_pro_guide' ) ); ?>" class="button button-primary"><?php _e( 'Getting Started With Tameer CONSTRUCTION PRO', 'tameer-construction-pro' ); ?></a></p>
		</div>
	</div>
	<?php }
}
add_action('admin_notices', 'tameer_construction_pro_notice');

add_action( 'admin_notices', 'tameer_construction_pro_r_review' );
function tameer_construction_pro_r_review() {

	// Verify that we can do a check for reviews.
	$review = get_option( 'tameer_construction_pro_r_review' );
	$time	= time();
	$load	= false;
	if ( ! $review ) {
		$review = array(
			'time' 		=> $time,
			'dismissed' => false
		);
		add_option('tameer_construction_pro_r_review', $review);
		//$load = true;
	} else {
		// Check if it has been dismissed or not.
		if ( (isset( $review['dismissed'] ) && ! $review['dismissed']) && (isset( $review['time'] ) && (($review['time'] + (DAY_IN_SECONDS * 2)) <= $time)) ) {
			$load = true;
		}
	}
	// If we cannot load, return early.
	if ( ! $load ) {
		return;
	}

	// We have a candidate! Output a review message.
	?>
	<div class="notice notice-info is-dismissible tameer_construction_pro-acc-r-review-notice">
		<div class="tameer_construction_pro_outer">
			<img class="tameer_construction_pro_img" src="<?php echo esc_url(get_template_directory_uri().'/inc/getstarted/images/logo.png'); ?>" />
		</div>
		<p class="tameer_construction_pro_review_head"><?php echo esc_html('Hi! We saw you have been using Tameer CONSTRUCTION PRO theme for a few days and wanted to ask for your help to make the theme better.We just need a minute of your time to rate the theme. Thank you!'); ?></p>
		<p class="tameer_construction_pro_review_buttons"> 
			<a href="<?php echo esc_url (TAMEER_CONSTRUCTION_PRO_REVIEW); ?>" class="tameer_construction_pro-acc-r-dismiss-review-notice tameer_construction_pro-acc-r-review-out tameer_construction_pro_review_buttons_a" target="_blank" rel="noopener"><?php echo esc_html('Rate the Theme','tameer-construction-pro'); ?></a>
			<a href="#"  class="tameer_construction_pro-acc-r-dismiss-review-notice tameer_construction_pro-rate-later tameer_construction_pro_review_buttons_a" target="_self" rel="noopener"><?php echo esc_html( 'Maybe Later', '' ); ?></a>
			<a href="#" class="tameer_construction_pro-acc-r-dismiss-review-notice tameer_construction_pro-rated tameer_construction_pro_review_buttons_a" target="_self" rel="noopener"><?php echo esc_html( 'I already did', '' ); ?></a>
		</p>
	</div>
	<script type="text/javascript">
		jQuery(document).ready( function($) {
			$(document).on('click', '.tameer_construction_pro-acc-r-dismiss-review-notice, .tameer_construction_pro-acc-r-dismiss-notice .notice-dismiss', function( event ) {
				if ( $(this).hasClass('tameer_construction_pro-acc-r-review-out') ) {
					var tameer_construction_pro_rate_data_val = "1";
				}
				if ( $(this).hasClass('tameer_construction_pro-rate-later') ) {
					var tameer_construction_pro_rate_data_val =  "2";
					event.preventDefault();
				}
				if ( $(this).hasClass('tameer_construction_pro-rated') ) {
					var tameer_construction_pro_rate_data_val =  "3";
					event.preventDefault();
				}

				$.post( ajaxurl, {
					action: 'tameer_construction_pro_r_dismiss_reviews',
					tameer_construction_pro_rate_data_acc_r : tameer_construction_pro_rate_data_val
				});
				
				$('.tameer_construction_pro-acc-r-review-notice').hide();
				//location.reload();
			});
		});
	</script>
	<?php
}

add_action( 'wp_ajax_tameer_construction_pro_r_dismiss_reviews', 'tameer_construction_pro_r_dismiss_reviews' );
function tameer_construction_pro_r_dismiss_reviews() {
	if ( ! $review ) {
		$review = array();
	}
	
	if($_POST['tameer_construction_pro_rate_data_acc_r']=="1"){
		$review['time'] 	 = time();
		$review['dismissed'] = false;
		
	}
	if($_POST['tameer_construction_pro_rate_data_acc_r']=="2"){
		$review['time'] 	 = time();
		$review['dismissed'] = false;
		
	}
	if($_POST['tameer_construction_pro_rate_data_acc_r']=="3"){
		$review['time'] 	 = time();
		$review['dismissed'] = true;
		
	}
	update_option( 'tameer_construction_pro_r_review', $review );
	die;
}

// Add a Custom CSS file to WP Admin Area
function tameer_construction_pro_admin_theme_style() {
   wp_enqueue_style( 'tameer-construction-pro-font', tameer_construction_pro_admin_font_url(), array() );
   wp_enqueue_style('custom-admin-style', get_template_directory_uri() . '/inc/getstarted/getstart.css');
   wp_enqueue_script('tabs', get_template_directory_uri() . '/inc/getstarted/js/tab.js');
}
add_action('admin_enqueue_scripts', 'tameer_construction_pro_admin_theme_style');

// Theme Font URL
function tameer_construction_pro_admin_font_url() {
	$font_url = '';
	$font_family = array();
	$font_family[] = 'Muli:300,400,600,700,800,900';

	$query_args = array(
		'family'	=> urlencode(implode('|',$font_family)),
	);
	$font_url = add_query_arg($query_args,'//fonts.googleapis.com/css');
	return $font_url;
}

//guidline for about theme
function tameer_construction_pro_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'tameer-construction-pro' );
?>

<div class="wrapper-info">
	<h2 class="home-heading"><?php _e( 'Welcome to Tameer CONSTRUCTION PRO', 'tameer-construction-pro' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
	<p class="home-p1"><?php _e( 'Congratulations! You are about to use the most easy to use and flexible WordPress theme.','tameer-construction-pro')?></p>
	<div class="header1">
		<p class="home-p1"><?php _e('Theme created by ThemesEye','tameer-construction-pro')?></p>
		<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/logo (1).png" alt="" />
		<p><?php _e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','tameer-construction-pro'); ?></p>
	</div>
    <div class="col-left">
    	
    </div>
    <div class="tab-sec">
		<div class="tab">
		  	<button class="tablinks" onclick="openCity(event, 'school_pro')"><?php _e( 'Getting Started', 'tameer-construction-pro' ); ?></button>  
		  	<button class="tablinks" onclick="openCity(event, 'plugins')"><?php _e( 'Plugins', 'tameer-construction-pro' ); ?></button>
		 	<button class="tablinks" onclick="openCity(event, 'theme_offer')"><?php _e( 'Demo Content Importer', 'tameer-construction-pro' ); ?></button>
		</div>

		<!-- Tab content -->
		<div id="school_pro" class="tabcontent open">
			
		  	<div class="col-left-inner">
		  		<h3><?php _e( 'Tameer CONSTRUCTION PRO Information', 'tameer-construction-pro' ); ?></h3>
				<hr class="h3hr">
		  		<h4><?php _e( 'Theme Documentation', 'tameer-construction-pro' ); ?></h4>
				<p><?php _e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'tameer-construction-pro' ); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( TAMEER_CONSTRUCTION_PRO_THEME_DOC ); ?>" target="_blank"> <?php _e( 'Documentation', 'tameer-construction-pro' ); ?></a>
				</div>
				<hr>
				<h4><?php _e('Theme Customizer', 'tameer-construction-pro'); ?></h4>
				<p> <?php _e('To begin customizing your website, start by clicking "Customize".', 'tameer-construction-pro'); ?></p>
				<div class="info-link">
					<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php _e('Customizing', 'tameer-construction-pro'); ?></a>
				</div>
				<hr>				
				<h4><?php _e('Having Trouble, Need Support?', 'tameer-construction-pro'); ?></h4>
				<p> <?php _e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'tameer-construction-pro'); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( TAMEER_CONSTRUCTION_PRO_SUPPORT ); ?>" target="_blank"><?php _e('Support Forum', 'tameer-construction-pro'); ?></a>
				</div>
				<hr>
				<h4><?php _e('Reviews & Testimonials', 'tameer-construction-pro'); ?></h4>
				<p> <?php _e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'tameer-construction-pro'); ?>  </p>
				<div class="info-link">
					<a href="<?php echo esc_url( TAMEER_CONSTRUCTION_PRO_REVIEW ); ?>" target="_blank"><?php _e('Reviews', 'tameer-construction-pro'); ?></a>
				</div>
		  	</div>
		  	<div class="col-right-inner">
			  <h3><?php _e('How to set up Home Page Template','tameer-construction-pro'); ?></h3>
			  <hr class="h3hr">
				<p><?php _e('Follow these instructions to setup Home page.','tameer-construction-pro'); ?></p>
                 <ul>
                  <li><?php _e('1. Create a Page to set template:  Go to ','tameer-construction-pro'); ?>
                  <b><?php _e('Dashboard &gt;&gt; Pages &gt;&gt; Add New Page','tameer-construction-pro'); ?></b>.
                  <p><?php _e('Label it "home" or anything as you wish. Then select template "home-page" from template dropdown.','tameer-construction-pro'); ?></p></li>
                  <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/home-page-template.png" alt="" />
                  <p></p><span class="strong"><?php _e('2. Set the front page:','tameer-construction-pro'); ?></span><?php _e(' Go to ','tameer-construction-pro'); ?>
				  <b><?php _e(' Settings -&gt; Reading --&gt; Set the front page display static page to home page ','tameer-construction-pro'); ?></b></p>
                  <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/set-front-page.png" alt="" />
                  <p><?php _e(' Once you are done with this, you can see all the demo content on front page. ','tameer-construction-pro'); ?></p>
                 </ul>
		  	</div>
		</div>	
		<div id="plugins" class="tabcontent">
			<h2 class="dashboard-install-title"><?php _e(' Install Required Plugins ','tameer-construction-pro'); ?></h2>
            <div class="col-left-inner">
				<ul>
					<p><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="right-arrow" /><b> <?php _e(' Title Banner Image Plugin:','tameer-construction-pro'); ?> </b> <?php _e('To fetch Banner on each page and post','tameer-construction-pro'); ?></p>
					<p> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /><i class="fa fa-angle-double-right"></i><b> <?php _e(' Tameer Construction Pro Posttype Plugin:','tameer-construction-pro'); ?></b> <?php _e('Used for Adding What We Do, Recent Properties, Projects, Our Great Team and What Our Clients Say sections.','tameer-construction-pro'); ?></p>
				</ul>
			</div>
			<div class="col-right-inner">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/plugin-screenshot.png" alt="" />
         	</div>
	     	<div class="posttype-plugin">
		     	<h2 id="heading"><?php _e('Set up construction Post-type Plugin','tameer-construction-pro'); ?></h2>
		     	<p><b><?php _e('Plugins are ways to extend and add to the functionality that already exists in WordPress.','tameer-construction-pro'); ?></b></p>
		     	<ol>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('First, you need to download the plugin from the source (which will be a zip file tameer-construction-pro-posttype)).','tameer-construction-pro'); ?> </li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('Next, you need to go to WordPress admin area and visit Plugins &#187; Add New.','tameer-construction-pro'); ?>  </b></li>
		     		<figure class="img-paraloid"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/uploadplug.png" alt="" /></figure>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('After that, click on the ','tameer-construction-pro'); ?> <b><?php _e('Upload Plugin button','tameer-construction-pro'); ?></b> <?php _e('on top of the page.','tameer-construction-pro'); ?></li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('This will bring you to the plugin upload page.','tameer-construction-pro'); ?> </li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" />  <?php _e('Here, you need to click on the choose file button and select the plugin file you downloaded earlier to your computer.','tameer-construction-pro'); ?></li>
		     		<figure class="img-paraloid pull-left"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/pluginuploadpage.png" alt="" /></figure>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e(' After you have selected the file, you need to click on the install now button.','tameer-construction-pro'); ?></li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" />  <?php _e(' WordPress will now upload the plugin file from your computer and install it for you. You will see a success message like this after installation is finished.','tameer-construction-pro'); ?></li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" />   <?php _e(' Once installed, you need to click on the Activate Plugin link to start using the plugin.','tameer-construction-pro'); ?></li>
		     		<li><img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstarted/images/right-arrow.png" alt="" /> <?php _e('  As soon as you activate plugin, you will get What We Do, Recent Properties, Projects, Our Great Team and What Our Clients Say sections.','tameer-construction-pro'); ?></li>
		        </ol>
	     	</div>
		</div>
		<div id="theme_offer" class="tabcontent">
			<h3><?php _e( 'Click the below run importer button to import demo content', 'tameer-construction-pro' ); ?></h3>
			<p><?php _e('Please Install and Activate Tameer Construction Pro Posttype, Contact Form 7 and WooCommerce before clicking on Run Importer.','tameer-construction-pro')?></p>
			<hr class="h3hr">
			<?php 
			if(varifying_status_key_activation()){
			/* Get Started. */ 
			require get_parent_theme_file_path( '/inc/getstarted/demo-importer.php' );
			}else{
				echo esc_html('Please Activate The Purchase Key','tameer-construction-pro');
			}
			 ?>
		</div>
	</div>
</div>
<?php } ?>