<?php
/**
 * The Template for displaying all single Service.
 *
 * @package tameer-construction-pro
 */
get_header(); 
get_template_part( 'template-parts/banner' );?>
<?php while ( have_posts() ) : the_post();
    $data= get_post_meta( $post->ID);?>
<div class="prop_more_details">  
    <div class="container">
        <div class="row">
            <div class="col-lg-9 col-md-8 col-sm-12 col-12">
                <h3><?php the_title() ?></h3>
                <div id="properties" class="image-box media">
                    <?php the_post_thumbnail(); ?>
                    <div class="overlay">
                      <div class="row">
                        <div class="sale-section col-lg-2 col-md-2 col-sm-3 col-5">
                           <?php if(get_post_meta($post->ID,'area',true)){?>
                              <div class="sale">
                                <p class="sale"><?php echo esc_html(get_post_meta($post->ID,'sale',true)); ?></p>
                              </div>
                            <?php } ?>
                        </div>
                      </div>
                    </div>
                </div>
                <div class="price">
                    <?php if(get_post_meta($post->ID,'price',true)){?>
                        <div class="price-div"><a class="price"><?php echo esc_html(get_post_meta($post->ID,'price',true)); ?></a></div>
                    <?php } ?>
                </div>                   
                <div class = "meta-content">
                   <div class="features">
                    <?php if(get_post_meta($post->ID,'tameer_construction_pro_posttype_properties_location',true)){?>
                    <p class="location"><i class="fas fa-map-marker-alt"></i><?php echo esc_html(get_post_meta($post->ID,'tameer_construction_pro_posttype_properties_location',true)); }?></p>      
                    <?php if(get_post_meta($post->ID,'area',true)){?>
                        <p class="property_details"><span class="details_label"><?php echo esc_html("Area: "); ?></span><?php echo esc_html(get_post_meta($post->ID,'area',true)); ?></p>
                    <?php } ?>
                    <?php if(get_post_meta($post->ID,'bedrooms',true)){?>
                        <p class="property_details"><span class="details_label"><?php echo esc_html("Bedrooms: "); ?></span><?php echo esc_html(get_post_meta($post->ID,'bedrooms',true)); ?></p>
                    <?php } ?>
                    <?php if(get_post_meta($post->ID,'garage',true)){?>
                        <p class="property_details"><span class="details_label"><?php echo esc_html("Garage: "); ?></span><?php echo esc_html(get_post_meta($post->ID,'garage',true)); ?></p>
                    <?php } ?>
                    <?php if(get_post_meta($post->ID,'bathrooms',true)){?>
                        <p class="property_details"><span class="details_label"><?php echo esc_html("Bathrooms: "); ?></span><?php echo esc_html(get_post_meta($post->ID,'bathrooms',true)); ?></p>
                    <?php } ?>
                   </div> 
                </div> 
                <div class="contact_details">
                    <?php if(get_theme_mod('tameer_construction_pro_properties_contact_details_label',true) !=''){ ?>
                        <h6 class="details_label"><?php echo esc_html(get_theme_mod('tameer_construction_pro_properties_contact_details_label'))?></h6>
                    <?php }?>
                    <?php if(get_theme_mod('tameer_construction_pro_properties_contact_number',true) !=''){ ?>
                        <p class="contact_number"><?php echo esc_html(get_theme_mod('tameer_construction_pro_properties_contact_number'))?></p>
                    <?php }?>
                    <?php if(get_theme_mod('tameer_construction_pro_properties_email_id',true) !=''){ ?>
                        <p class="email_id"><?php echo esc_html(get_theme_mod('tameer_construction_pro_properties_email_id'))?></p>
                    <?php }?>
                </div>
                <p class="mt-3"><?php the_content();?></p>           
                <div class="post_pagination mt-4">
                    <?php the_post_navigation( array(
                        'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'tameer-construction-pro' ) . '</span> ' .
                            '<span class="screen-reader-text">' . __( 'Next post:', 'tameer-construction-pro' ) . '</span> ' .
                            '<span class="post-title">%title</span>',
                        'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'tameer-construction-pro' ) . '</span> ' .
                            '<span class="screen-reader-text">' . __( 'Previous post:', 'tameer-construction-pro' ) . '</span> ' .
                            '<span class="post-title">%title</span>',
                    ) );?>
                </div>
            </div>   
            <div class="col-lg-3 col-md-4 col-sm-12 col-12" id="sidebar">
                <?php dynamic_sidebar('sidebar-1'); ?>
            </div>   
            <div class="clearfix"></div>
            <?php endwhile; // end of the loop. ?> 
        </div>    
    </div>
</div>
<?php get_footer(); ?>