<?php
/**
 * Template part for displaying Top Bar Content
 *
 * @package tameer_construction_pro
 */ 

$about_section = get_theme_mod( 'tameer_construction_pro_topbar_enable' );
if ( 'Disable' == $about_section ) {
  return;
}
/*About us*/
if( get_theme_mod('tameer_construction_pro_topbar_bgcolor','') ) {
  $background_setting = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_topbar_bgcolor','')).';';
}elseif( get_theme_mod('tameer_construction_pro_topbar_bgimage','') ){
  $background_setting = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_topbar_bgimage')).'\')';
}else{
  $background_setting = '';
}
?>
<section id="site_top" class="top_bar" style="<?php echo esc_attr($background_setting);  ?>">
  <div class="container-fluid contact_details">
    <div class="row m-0">
      <div class="col-lg-8 col-md-12 col-sm-12 col-12 p-md-0">
        <ul class="left-side-content pt-1">
          <?php if(get_theme_mod('tameer_construction_pro_top_bar_contact_number') != ''){ ?>
            <li class="">
              <span class="hi_normal"><i class="fas fa-phone-volume"></i><?php echo esc_html(get_theme_mod('tameer_construction_pro_top_bar_contact_number'));?></span>
            </li>
          <?php } ?>
          <?php if(get_theme_mod('tameer_construction_pro_top_bar_email_address') != ''){ ?>
            <li class="email_wrap">
              <span class="hi_normal"><a href="mailto:<?php echo esc_html(get_theme_mod('tameer_construction_pro_top_bar_email_address',__("",'tameer-construction-pro'))); ?>"><i class="far fa-envelope"></i></i><?php echo esc_html(get_theme_mod('tameer_construction_pro_top_bar_email_address'));?></a></span>
            </li>
          <?php } ?>
          <?php if(get_theme_mod('tameer_construction_pro_top_bar_opening_time') != ''){ ?>
            <li class="email_wrap">
              <span class="hi_normal"><i class="far fa-clock"></i><?php echo esc_html(get_theme_mod('tameer_construction_pro_top_bar_opening_time'));?></span>
            </li>
          <?php } ?>
        </ul>
      </div>
      <div class="col-lg-4 col-md-12 col-sm-12 col-12">
        <ul class="right-side-content pt-2">
          <?php if(get_theme_mod('tameer_construction_pro_footer_section_social_icon',true)!= ""){?>
            <div class="social-icons">
              <?php get_template_part( 'template-parts/home/social-icons' ); ?>
            </div>
        <?php }?>
        </ul>
      </div>
    <div class="clearfix"></div>
  </div>
</section>