<?php
/**
 * Template to show the content of our record section 
 *
 * @package tameer_construction_pro
 */

$about_section = get_theme_mod( 'tameer_construction_pro_radio_intro_video_enable' );
if ( 'Disable' == $about_section ) {
  return;
}
/*About us*/
if( get_theme_mod('tameer_construction_pro_intro_video_bgcolor','') ) {
  $about_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_intro_video_bgcolor','')).';';
}elseif( get_theme_mod('tameer_construction_pro_intro_video_bgimage','') ){
  $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_intro_video_bgimage')).'\')';
}else{
  $about_backg = '';
}
?>
<section id="intro-video" style="<?php echo esc_attr($about_backg); ?>">
  <div class="container">
    <div class="row">
      <div class="col-md-6">
        <div class="intro_video_outer ml-0 mr-0 p-0">
          <div class="text-center intro_video_box">
            <?php if(get_theme_mod('tameer_construction_pro_intro_video_sec_details',true) != ''){?>
              <p class="record_details"><?php echo esc_html(get_theme_mod('tameer_construction_pro_intro_video_sec_details')); ?></p>
            <?php }?>
           <div class="row">
            <div class="col-lg-3 col-md-3 col-sm-3 col-4">
              <div class="video-play">
                  <a href="#popup" id="videolink"><i class="fas fa-play" data-popup-open="popup-1"></i></a>
                   <div class="popup" data-popup="popup-1">
                    <div class="popup-inner">
                      <?php if( get_theme_mod('tameer_construction_pro_video_link', true) != ''){ ?>
                        <div class="video">
                          <embed height="400px" width="100%" src="<?php echo esc_attr(get_theme_mod('tameer_construction_pro_video_link')); ?>" allowfullscreen></embed>
                        </div>
                        <a class="popup-close" data-popup-close="popup-1" href="#">x</a>
                      <?php } ?>
                    </div>
              </div>
              </div>
            </div>
            <?php if(get_theme_mod('tameer_construction_pro_intro_video_watch_label',true) != "" || get_theme_mod('tameer_construction_pro_exercise_intro_video',true) != ""){?>
            <div class="watch_intro_video col-lg-9 col-md-9 col-8">
              <h6><?php echo esc_html(get_theme_mod('tameer_construction_pro_intro_video_watch_label')) ?></h6>
              <h4><?php echo esc_html(get_theme_mod('tameer_construction_pro_intro_video_intro_label'))?></h4>
            </div>
          <?php } ?>
          </div>
        </div>
      </div>
    </div>
      <div class="col-md-6 col-md-6 col-sm-12 col-12">
        <div class="about-image">
          <?php if(get_theme_mod('tameer_construction_pro_intro_video_image',true) != ''){?>
          <img src="<?php echo esc_url(get_theme_mod('tameer_construction_pro_intro_video_image'))?>" alt="">
          <?php } ?>
        </div>
      </div>
    </div>
  </div>
  <div class="clearfix"></div>
</section>