<?php 
$section_status = get_theme_mod( 'tameer_construction_pro_projects_enable_disable' );
if ( 'Disable' == $section_status ) {
  return;
}
if( get_theme_mod('tameer_construction_pro_projects_bgcolor') ) {
  $section_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_projects_bgcolor')).';';
}elseif( get_theme_mod('tameer_construction_pro_projects_bgimage') ){
  $section_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_projects_bgimage')).'\')';
}else{
  $section_backg = '';
}
$args = array(
  'post_type' => 'projects',
  'post_status' => 'publish',
  'posts_per_page' => get_theme_mod('tameer_construction_pro_projects_number')
);
$new = new WP_Query($args); 
if ( defined( 'TAMEER_CONSTRUCTION_PRO_POSTTYPE_VERSION' ) ) :
?>
<section id="projects" style="<?php echo esc_attr($section_backg); ?>">
  <div class="container">
    <?php if(get_theme_mod('tameer_construction_pro_projects_title') != ''){?>
      <div class="section-heading">
        <h3><?php echo esc_html(get_theme_mod('tameer_construction_pro_projects_title')); ?></h3>
      </div>
    <?php } ?>
    <?php if ( $new->have_posts() ) : ?>
    <div class="projects_outer">
       <div class="row">
            <?php $i=1;
            $j=1;
            while( $new->have_posts() ) : $new->the_post(); ?>
              <?php 
              if($i==1){ ?>
                <div class="col-md-6 col-sm-12 bigpost-img">
                  <div class="projects_box">
                    <div class="image-box media">
                      <?php if(has_post_thumbnail()) { the_post_thumbnail(); }
                      else { ?><img class="main_image" src="<?php echo esc_url(get_template_directory_uri()).'/images/default_thumb.jpg'?>"> 
                      <?php }?> 
                      <div class="projects-box-hover">
                       <div class="projects-box-content">
                       <h4 class="main-project"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                      </div>
                    </div>                     
                    </div>
                  </div>
                </div>
                <div class="col-md-6 col-sm-12">
              <?php }
              else { ?>
                <div class="col-md-6 col-sm-6 side-projects pb-4 pt-2" style="float:left">
                  <div class="projects_box"> 
                    <div class="image-box media">
                     <?php if(has_post_thumbnail()) { the_post_thumbnail(); }
                      else { ?><img class="project_images" src="<?php echo esc_url(get_template_directory_uri()).'/images/default_thumb.jpg'?>"> 
                      <?php }?>
                      <div class="projects-box-hover">
                       <div class="projects-box-content">
                       <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                      </div>
                    </div>
                    </div>
                  </div>
                </div>
              <?php if($j %2 == 0){ echo '<div class="clearfix"></div>'; } $j++; 
              }
              $i++; endwhile; 
            ?>
          </div>
          <div class="projects-btn">
            <?php if(get_theme_mod('tameer_construction_pro_projects_read_more_button') != '') {?>
              <a class="projects-btn" href="<?php echo esc_html(get_theme_mod('tameer_construction_pro_projects_read_more_button_link',__("#",'tameer-construction-pro'))); ?>"><?php echo esc_html(get_theme_mod('tameer_construction_pro_projects_read_more_button'))?></a>
            <?php } ?>
          </div>
        </div>
   </div>
    <?php
      else :
        echo '<h5 class="text-center">' . esc_html__( 'Create the Projects to make it appear here.', 'tameer-construction-pro' ) . '</h5>'; 
      endif;
    ?>
  </div>
</section>
<?php
else :
  echo '<h5 class="text-center">' . esc_html__( 'Please Activate TS Constructio Pro Posttype and create the Projects to make it appear here.', 'tameer-construction-pro' ) . '</h5>'; 
endif; ?>