<?php 
$team_enable = get_theme_mod( 'tameer_construction_pro_radio_recent_properties_enable' );
if ( 'Disable' == $team_enable ) {
  return;
}
/*team*/
if( get_theme_mod('tameer_construction_pro_properties_bgcolor') ) { 
  $about_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_properties_bgcolor')).';';
}elseif( get_theme_mod('tameer_construction_pro_properties_bgimage') ){
  $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_properties_bgimage')).'\')';
}else{
  $about_backg = '';   
}
$args = array(
  'post_type' => 'properties',
  'post_status' => 'publish'
);            
$new = new WP_Query($args); 
if ( defined( 'TAMEER_CONSTRUCTION_PRO_POSTTYPE_VERSION' ) ) :
?>
  <section id="properties" style="<?php echo esc_html($about_backg); ?>">
    <div class="container">
    <?php if(get_theme_mod('tameer_construction_pro_properties_title') != ''){?>
      <div class="section-heading">
        <h3><?php echo esc_html(get_theme_mod('tameer_construction_pro_properties_title')); ?></h3>
      </div>
    <?php } ?>
    <?php if ( $new->have_posts() ) : ?>
      <div class="owl-carousel">
        <?php            
          $loop_index = 0; $i=1;
          while ( $new->have_posts() ){
          $new->the_post();  ?>
          <div class="<?php if($i == 1){ echo 'active';}?>"> 
            <div class="box">
              <?php if(get_post_meta($post->ID,'custom_link',true) !='') { $custom_link = get_post_meta($post->ID,'custom_link',true); } else {
                                      $custom_link = get_the_permalink(); } ?>
              <a href="<?php echo esc_url($custom_link) ?>">
              <div class="image-box media">
                <?php the_post_thumbnail(); ?>
                <div class="overlay">
                  <div class="row">
                    <div class="sale-section col-md-3 col-sm-5 col-12">
                       <?php if(get_post_meta($post->ID,'area',true)){?>
                          <div class="sale">
                            <p class="sale"><?php echo esc_html(get_post_meta($post->ID,'sale',true)); ?></p>
                          </div>
                        <?php } ?>
                    </div>
                  </div>
                </div>
                 <div class="properties-hover">
                  <div class="plus-icon">
                    <div class="properties-icon">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
            </a>
            </div>
            <div class="properties_content">
              <h4 class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
              <span class="subtitle"><?php $excerpt = get_the_excerpt(); echo esc_html(tameer_construction_pro_string_limit_words($excerpt,5)); ?></span>
              <?php if(get_post_meta($post->ID,'tameer_construction_pro_posttype_properties_location',true)){?>
              <p class="location"><i class="fas fa-map-marker-alt"></i><?php echo esc_html(get_post_meta($post->ID,'tameer_construction_pro_posttype_properties_location',true)); }?></p>     
              <div class="property_details">                           
                <?php if(get_post_meta($post->ID,'area',true) || get_post_meta($post->ID,'bedrooms',true)
                || get_post_meta($post->ID,'garage',true) || get_post_meta($post->ID,'bathrooms',true) || get_post_meta($post->ID,'details',true) || get_theme_mod('tameer_construction_pro_properties_more_details') ||get_post_meta($post->ID,'price',true)){?>
                  <div class="property_details row">
                    <div class="col-lg-6 col-md-6 col-6">
                      <?php if(get_post_meta($post->ID,'area',true)){?>
                        <p class=""><i class="fas fa-chart-area"></i><?php echo esc_html(get_post_meta($post->ID,'area',true)); ?></p><?php } ?>
                    </div>
                    <div class="col-lg-6 col-md-6 col-6">
                      <?php if(get_post_meta($post->ID,'bedrooms',true)){?>
                      <p class=""><i class="fas fa-bed"></i><?php echo esc_html(get_post_meta($post->ID,'bedrooms',true)); ?></p>
                      <?php }?>
                   </div>
                   <div class="col-lg-6 col-md-6 col-6">
                      <?php if(get_post_meta($post->ID,'garage',true)){?>
                        <p class=""><i class="fas fa-motorcycle"></i><?php echo esc_html(get_post_meta($post->ID,'garage',true)); ?></p><?php } ?>
                    </div>
                    <div class="col-lg-6 col-md-6 col-6">
                      <?php if(get_post_meta($post->ID,'bathrooms',true)){?>
                      <p class=""><i class="fas fa-bath"></i><?php echo esc_html(get_post_meta($post->ID,'bathrooms',true)); ?></p>
                      <?php }?>
                   </div>
                   <div class="more-button col-lg-6 col-md-6">
                      <?php if(get_theme_mod('tameer_construction_pro_properties_more_details',true)){?>
                        <div class="more-div"><a href="<?php echo esc_url($custom_link) ?>" class="more-details"><?php echo esc_html(get_theme_mod('tameer_construction_pro_properties_more_details',true)); ?></a></div>
                      <?php } ?>
                    </div>
                    <div class="price-section col-lg-6 col-md-6">
                      <?php if(get_post_meta($post->ID,'price',true)){?>
                        <div class="price-div"><a class="price"><?php echo esc_html(get_post_meta($post->ID,'price',true)); ?></a></div><?php } ?>
                    </div>
                  </div>
                <?php }?>
              </div>
            </div>
          </div>
        <?php $i++; }
        wp_reset_query(); ?>
      </div>
      <?php
        else :
          echo '<h5 class="text-center">' . esc_html__( 'Create the team to make it appear here.', 'tameer-construction-pro' ) . '</h5>'; 
        endif;
      ?>
    </div>
    <div class="clearfix"></div>
  </section>
<?php
else :
  echo '<h5 class="text-center">' . esc_html__( 'Please Activate TE Construction Pro Posttype and create the team to make it appear here.', 'tameer-construction-pro' ) . '</h5>'; 
endif; ?>