<?php 
$latestpost_enable = get_theme_mod( 'tameer_construction_pro_radio_post_enable' );
if ( 'Disable' == $latestpost_enable ) {
  return;
}
/*Latest post*/
if( get_theme_mod('tameer_construction_pro_latest_news_bgcolor') ) { 
  $about_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_latest_news_bgcolor')).';';
}elseif( get_theme_mod('tameer_construction_pro_latest_news_bgimage') ){
  $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_latest_news_bgimage')).'\')';
}else{
  $about_backg = '';   
}
$latest_news_loop="true";
if(get_theme_mod('tameer_construction_pro_latest_news_loop_settings',true)=='1')
{
$latest_news_loop="true";
}else{
$latest_news_loop="false";
}        
?>
<section id="latest_post" style="<?php echo esc_html($about_backg); ?>">
  <div class="innerbox">
    <div class="container">  
    <div class="section-heading">
      <?php if(get_theme_mod('tameer_construction_pro_latest_news_title') != ''){?>
          <h3><?php echo esc_html(get_theme_mod('tameer_construction_pro_latest_news_title')); ?></h3>
      <?php } ?>
    </div>
    <div class="owl-carousel">
      <?php
        $args = array(
          'post_type' => 'post',
          'category_name' => get_theme_mod('tameer_construction_pro_latestblogpost_setting')
        );
        $new = new WP_Query($args); 
        $loop_index = 0; $i=1;
           while ( $new->have_posts() ){
            $new->the_post();  ?>
            <div class="<?php if($i == 1){ echo 'active';}?>"> 
              <div class="postbox">
                <div class="postpic">
                  <div class="image-box media">
                    <?php if (has_post_thumbnail()){ ?>
                      <?php the_post_thumbnail(); ?>
                    <?php } ?>
                  </div>
                  <div class="latest-post-hover">
                    <div class="latest-post-icon">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
                <div class="postbox-content text-left">
                  <h3 class="posttitle text-left"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                  <div class="posttext mt-3"><?php $excerpt = get_the_excerpt(); echo esc_html(tameer_construction_pro_string_limit_words($excerpt,30)); ?></div>
                  <div class="author-pic row">
                    <div class="col-lg-3 col-md-3 col-sm-3 col-3">
                      <?php echo get_avatar( get_the_author_meta( 'ID' ) ); ?>
                    </div>
                    <div class="col-lg-9 col-md-9 col-sm-9 col-9">
                       <?php if ( get_theme_mod('tameer_construction_pro_toggle_post_meta',true) == "1" ) { ?>
                        <div class="row m-0 border_box">
                          <span class="author-name mr-3"><?php the_author(); ?></span>
                        </div>
                        <?php } ?>
                        <?php if ( get_theme_mod('tameer_construction_pro_toggle_post_date',true) == "1" ) { ?>
                          <div class="posticon-1">
                            <div class="date_div">
                              <span class="entry-date price pull-right"><?php the_time(get_option('date_format')); ?></span>
                            </div>
                          </div>
                        <?php } ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <?php $i++; }
           wp_reset_query(); ?>
        </div>
      </div>
    </div>
  </div>
  <span id="latest-news-loop"><?php echo esc_html($latest_news_loop); ?></span>
</section>