<?php
/**
 * Template part for displaying posts
 *
 * @package tameer_construction_pro
 */
$about_us = get_theme_mod( 'tameer_construction_pro_records_enable' );
if ( 'Disable' == $about_us ) {
  return;
}
if( get_theme_mod('tameer_construction_pro_records_bgcolor','') ) { 
  $about_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_records_bgcolor','')).';';
}elseif( get_theme_mod('tameer_construction_pro_records_bgimage','') ){
  $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_records_bgimage')).'\')';
}else{
  $about_backg = '';   
}

if( get_theme_mod('tameer_construction_pro_records_boxbgcolor','') ) { 
  $box_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_records_boxbgcolor','')).';';
}elseif( get_theme_mod('tameer_construction_pro_records_boxbgimage','') ){
  $box_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_records_boxbgimage')).'\')';
}else{
  $box_backg = '';   
}

?>
<section id="records" style="<?php echo esc_attr($about_backg); ?>">
  <div class="container">
    <div class="section-title">
      <?php if(get_theme_mod('tameer_construction_pro_records_section_title',true) != ''){?>
        <h3 class="section-heading"><?php echo esc_html(get_theme_mod('tameer_construction_pro_records_section_title'));?></h3>
      <?php }?>   
    </div>        
    <div class="row">
      <?php $countmembership =  get_theme_mod('tameer_construction_pro_records_box_number', 4); ?>
      <?php /* Define column size */ 
       if( get_theme_mod('tameer_construction_pro_records_box_number') == 1) {
          $col_size = 'col-md-12 col-sm-12'; 
        } else if( get_theme_mod('tameer_construction_pro_records_box_number') == 2){
          $col_size = 'col-md-6 col-sm-6'; 
        } else if( get_theme_mod('tameer_construction_pro_records_box_number') == 3){
          $col_size = 'col-md-4 col-sm-6'; 
        }
        else{
          $col_size = 'col-lg-3 col-md-4 col-sm-6 col-6'; 
        }?> 

      <?php for($i=1,$j=1; $i<=$countmembership; $i++,$j++) {?>
        <div class="<?php echo esc_attr($col_size); ?>">
          <div class="membership-box" style="<?php echo esc_attr($box_backg); ?>">
            <div class="membership-box-image">
            <?php
              if( get_theme_mod('tameer_construction_pro_records_heading_bgcolor'.$i) ) { 
                $price_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_records_heading_bgcolor'.$i)).';';
              }elseif( get_theme_mod('tameer_construction_pro_records_heading_bgimage'.$i) ){
                $price_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_records_heading_bgimage'.$i)).'\')';
              }else{
                $price_backg = '';
              }
            ?>
              <div class="box-details">
                <?php if( get_theme_mod('tameer_construction_pro_records_box_details'.$i, true) != ''){ ?>
                  <h3><?php echo esc_html(get_theme_mod('tameer_construction_pro_records_box_details'.$i)); ?></h3>
                <?php } ?>
                <?php if(get_theme_mod('tameer_construction_pro_records_box_title'.$i, true) != '') ?>
                <p><?php echo esc_html(get_theme_mod('tameer_construction_pro_records_box_title'.$i)); ?></p> 
              </div>
            </div>
          </div>  
        </div>
      <?php }?> 
    </div>
    <div class="clearfix"></div>
  </div>
</section>