<?php 
$about_section = get_theme_mod( 'tameer_construction_pro_services_enabledisable' );
if ( 'Disable' == $about_section ) {
  return;
}
if( get_theme_mod('tameer_construction_pro_services_bg_color') ) {
  $about_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_services_bg_color')).';';
}elseif( get_theme_mod('tameer_construction_pro_services_bgimage') ){
  $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_services_bgimage')).'\')';
}else{
  $about_backg = '';
}
$count =  get_theme_mod('tameer_construction_pro_services_number');
if($count != ''){
?>
<section id="services" style="<?php echo esc_attr($about_backg); ?>">
  <div class="container">
    <?php if(get_theme_mod('tameer_construction_pro_services_sec_title') != ''){?>
      <div class="section-heading">
        <h3><?php echo esc_html(get_theme_mod('tameer_construction_pro_services_sec_title')); ?></h3>
      </div>
    <?php } ?>
    <?php if ( defined( 'TAMEER_CONSTRUCTION_PRO_POSTTYPE_VERSION' ) ) { ?>
    <?php $count =  get_theme_mod('tameer_construction_pro_services_number'); ?>
      <ul class="nav nav nav-pills nav-justified">
        <?php  
          for($i=1; $i<=$count; $i++) {?>
            <li class="nav-item">
                <a class="nav-link <?php if($i==1){ echo 'active'; } ?> " href="#services_tab<?php echo esc_attr($i);?>" role="tab" data-toggle="tab">
                  <img src="<?php echo esc_url(get_theme_mod('tameer_construction_pro_services_tab_image'.$i)); ?>">
                  <p><?php echo esc_html(get_theme_mod('tameer_construction_pro_services_tab_title'.$i)); ?></p>
                </a>
            </li>
          <?php } ?>
      </ul>
      <div class="tab-content services_content">
        <?php  
          for($i=1; $i<=$count; $i++) {?>
          <div role="tabpanel" class="tm_tab mt-4 tab-pane fade <?php if($i==1){ echo 'in active show'; } ?>" id="services_tab<?php echo esc_attr($i);?>">
            <?php 
              $args = array(
              'post_type' => 'services',
              'post_status' => 'publish',
              'posts_per_page' => 1,
              'createcategory'=> get_theme_mod('tameer_construction_pro_services_cate'.$i)
            ); 
            $query = new WP_Query($args);
            if ( $query->have_posts() ) :  while ($query->have_posts()) : $query->the_post(); ?>
            <div class="container m-0 p-0">
              <div class="services_outer_box row pl-3">
                <div class="services_image offset-lg-1 col-xl-5 col-md-5 col-sm-12 p-0">
                  <div class="services_image_inner">
                    <?php if (has_post_thumbnail()){ ?>
                      <?php the_post_thumbnail(); ?>
                    <?php } ?>
                  </div>
                </div>
                <div class="services-box col-xl-5 col-md-5 col-lg-5">
                  <h3 class="services_name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                  <div class="att_socialbox">
                    <p><?php $excerpt = get_the_excerpt(); echo esc_html(tameer_construction_pro_string_limit_words($excerpt,50)); ?></p>
                    <div class="button">
                      <a class="read-more font-weight-bold btn btn-primary" href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('tameer_construction_pro_services_btntext'.$i)); ?>
                      </a>
                    </div>
                  </div>
                  <div class="place">
                    <?php if(get_post_meta($post->ID,'place',true)){?>
                    <p class=""><i class="fas fa-map-marker-alt"></i><?php echo esc_html(get_post_meta($post->ID,'place',true)); ?></p><?php } ?>
                  </div>
                </div>
              </div>
            </div>
            <?php endwhile; wp_reset_postdata();?>
              <?php else : ?>
                <h5 class="text-center"><?php esc_html_e('Post Not Added','perfect-blog-pro'); ?></h5>
            <?php endif; ?>
          </div>
        <?php  } ?>
      </div>
    <?php } else{ ?>
      <h3 class="text-center"><?php echo esc_html_e('Please install TE Construction Pro Posttype plugin and add your Services to enable this section','tameer-construction-pro')?></h3>
    <?php }?>
    <div class="clearfix"></div>
  </div>
</section>
<?php 
}
?>